GLM_GTX_handed_coordinate_space
GTX Extensions (Experimental)

To know if a set of three basis vectors defines a right or left-handed coordinate system. More...

## Functions

template<typename T , precision P>
GLM_FUNC_DECL bool | leftHanded (tvec3< T, P > const &tangent, tvec3< T, P > const &binormal, tvec3< T, P > const &normal)
| Return if a trihedron left handed or not. More...
template<typename T , precision P>
GLM_FUNC_DECL bool | rightHanded (tvec3< T, P > const &tangent, tvec3< T, P > const &binormal, tvec3< T, P > const &normal)
| Return if a trihedron right handed or not. More...

## Detailed Description

To know if a set of three basis vectors defines a right or left-handed coordinate system.

<glm/gtx/handed_coordinate_system.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL bool glm::leftHanded | ( | tvec3< T, P > const & | tangent,
|  | tvec3< T, P > const & | binormal,
|  | tvec3< T, P > const & | normal
| ) |  |

Return if a trihedron left handed or not.

From GLM_GTX_handed_coordinate_space extension.

GLM_FUNC_DECL bool glm::rightHanded | ( | tvec3< T, P > const & | tangent,
|  | tvec3< T, P > const & | binormal,
|  | tvec3< T, P > const & | normal
| ) |  |

Return if a trihedron right handed or not.

From GLM_GTX_handed_coordinate_space extension.